<div style="margin-top: 20px;">
    <div class="container">
        <div class="ui-g">
            <div class="ui-g-12">
                <p-dataList [value]="salesUnitRequirements" (onLazyLoad)="loadDataLazy($event)" [paginator]="true" [rows]="5">
                    <p-header>List Approval</p-header>
                    <ng-template let-salesUnitRequirement pTemplate="item">
                        <div class="ui-g ui-fluid border-item">
                            <div class="ui-g-12 ui-md-12">No VSO : {{salesUnitRequirement.requirementNumber}}</div>
                            <div class="ui-g-12 ui-md-12" style="font-weight:600">
                                Bpk / Ibu {{salesUnitRequirement.customerName}}
                            </div>
                            <div class="ui-g-12 ui-md-12">
                                <span>{{salesUnitRequirement.productName | Message : 'motor'}}</span> - <span>{{salesUnitRequirement.colorDescription | Message : 'color'}}</span>
                            </div>
                            <div class="ui-g-12 ui-md-12" style="text-align:center;border-top:1px solid #d9d9d9;padding-top:20px;">
                                <div class="ui-g-12 ui-sm-12">
                                    <button style="background-color: #20a8d8 !important;border-color : #20a8d8 !important;" class="btn btn-primary btn-lg btn-block" [routerLink]="['/approval-korsal/vso-draft/' + salesUnitRequirement.idRequirement + '/detail-approval']">
                                        <i class="fa fa-eye"></i> View Detail
                                    </button>
                                </div>
                            </div>
                        </div>
                    </ng-template>
                </p-dataList>
            </div>
        </div>
    </div>
</div>